Package: cfToolsData
Title: ExperimentHub data for the cfTools package
Version: 1.8.0
Authors@R: c(
    person(given = "Ran",
        family = "Hu",
        role = c("aut", "cre"),
        email = "huran@ucla.edu",
        comment = c(ORCID = "0000-0002-0563-8957")),
    person("Shuo", "Li", 
        role = "aut",
        comment = c(ORCID = "0000-0002-1960-6016")),
    person(c("Xianghong", "Jasmine"), "Zhou", 
        role = "aut", 
        email = "XJZhou@mednet.ucla.edu", 
        comment = c(ORCID = "0000-0002-4522-7490")),
    person("Wenyuan", "Li", 
        role = "aut",
        email = "WenyuanLi@mednet.ucla.edu",
        comment = c(ORCID = "0000-0002-5029-8525")))
Description: The cfToolsData package supplies the data for the cfTools package. 
    It contains two pre-trained deep neural network (DNN) models for the cfSort 
    function. Additionally, it includes the shape parameters of beta 
    distribution characterizing methylation markers associated with four tumor 
    types for the CancerDetector function, as well as the parameters 
    characterizing methylation markers specific to 29 primary human tissue 
    types for the cfDeconvolve function.
License: file LICENSE
Encoding: UTF-8
Depends: R (>= 4.3.0)
RoxygenNote: 7.2.3
VignetteBuilder: knitr
Imports: utils, ExperimentHub
Suggests: BiocStyle, knitr, rmarkdown, ExperimentHubData, testthat (>=
        3.0.0)
biocViews: ExperimentHub, ExperimentData, ReproducibleResearch,
        DiseaseModel, CancerData, Tissue
URL: https://github.com/jasminezhoulab/cfToolsData
BugReports: https://github.com/jasminezhoulab/cfToolsData/issues
git_url: https://git.bioconductor.org/packages/cfToolsData
git_branch: RELEASE_3_22
git_last_commit: d98a4c0
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-30
NeedsCompilation: no
Packaged: 2025-10-30 15:14:52 UTC; biocbuild
Author: Ran Hu [aut, cre] (ORCID: <https://orcid.org/0000-0002-0563-8957>),
  Shuo Li [aut] (ORCID: <https://orcid.org/0000-0002-1960-6016>),
  Xianghong Jasmine Zhou [aut] (ORCID:
    <https://orcid.org/0000-0002-4522-7490>),
  Wenyuan Li [aut] (ORCID: <https://orcid.org/0000-0002-5029-8525>)
Maintainer: Ran Hu <huran@ucla.edu>

# cfToolsData

The `cfToolsData` package supplies the data for the `cfTools` package (https://github.com/jasminezhoulab/cfTools). It contains two pre-trained deep neural network (DNN) models for the `cfSort()` function. Additionally, it includes the shape parameters of beta distribution characterizing methylation markers associated with four tumor types for the `CancerDetector()` function, as well as the parameters characterizing methylation markers specific to 29 primary human tissue types for the `cfDeconvolve()` function.

## Installation

`cfToolsData` is an `R` package available via the [Bioconductor](http://bioconductor.org) repository for packages. You can install the release version by using the following commands in your `R` session:

```
if (!requireNamespace("BiocManager", quietly = TRUE)) {
    install.packages("BiocManager")
}
BiocManager::install("cfToolsData")
```

Alternatively, you can install the development version from [GitHub](https://github.com/) :

```
BiocManager::install("jasminezhoulab/cfToolsData")
```

## Vignettes

See the detailed documentation for `cfToolsData` using the following commands in your `R` session
```
browseVignettes("cfToolsData")
```

#' Imports for loading accessors
#' @importFrom utils read.csv
#' @importFrom ExperimentHub createHubAccessors
#' @name cfToolsData
NULL

.onLoad <- function(libname, pkgname) {
    fl <- system.file("extdata", "metadata.csv", package=pkgname)
    titles <- read.csv(fl, stringsAsFactors=FALSE)$Title
    ExperimentHub::createHubAccessors(pkgname, titles)
}

#' Parameters of COAD markers
#'
#' The shape parameters of beta distribution characterizing methylation markers 
#' associated with colon adenocarcinoma (COAD)
#'
#' @name COAD.tumorMarkerParams.hg19
#' @returns Downloads and caches a `.txt.gz` file.
#' @examples
#'
#' COADMarkerParams <- COAD.tumorMarkerParams.hg19()
#' COADMarkerParams
#'
NULL

#' Parameters of LIHC markers
#'
#' The shape parameters of beta distribution characterizing methylation markers 
#' associated with liver hepatocellular carcinoma (LIHC)
#'
#' @name LIHC.tumorMarkerParams.hg19
#' @returns Downloads and caches a `.txt.gz` file.
#' @examples
#'
#' LIHCMarkerParams <- LIHC.tumorMarkerParams.hg19()
#' LIHCMarkerParams
#'
NULL

#' Parameters of lung cancer markers
#'
#' The shape parameters of beta distribution characterizing methylation markers 
#' associated with lung cancer
#'
#' @name LUNG.tumorMarkerParams.hg19
#' @returns Downloads and caches a `.txt.gz` file.
#' @examples
#'
#' LUNGMarkerParams <- LUNG.tumorMarkerParams.hg19()
#' LUNGMarkerParams
#'
NULL

#' Parameters of STAD markers
#'
#' The shape parameters of beta distribution characterizing methylation markers 
#' associated with stomach adenocarcinoma (STAD)
#'
#' @name STAD.tumorMarkerParams.hg19
#' @returns Downloads and caches a `.txt.gz` file.
#' @examples
#'
#' STADMarkerParams <- STAD.tumorMarkerParams.hg19()
#' STADMarkerParams
#'
NULL

#' Parameters of tissue markers
#'
#' The shape parameters of beta distribution characterizing methylation markers 
#' specific to 29 primary human tissue types
#'
#' @name tissueMarkerParams.hg19
#' @returns Downloads and caches a `.txt.gz` file.
#' @examples
#'
#' tissueMarkerParams <- tissueMarkerParams.hg19()
#' tissueMarkerParams
#'
NULL

#' Annotation of tissue markers
#'
#' The annotation of strategies used to identify tissue markers.
#'
#' @name tissueMarkerParams.annot
#' @returns Downloads and caches a `.txt.gz` file.
#' @examples
#'
#' tissueMarkerAnnot <- tissueMarkerParams.annot()
#' tissueMarkerAnnot
#'
NULL

#' Model DNN1
#'
#' The 1st deep neural network in cfSort.
#'
#' @name DNN1
#' @returns Downloads and caches a `.h5` file in HDF5 format.
#' @examples
#'
#' modelDNN1 <- DNN1()
#' modelDNN1
#'
NULL

#' Model DNN2
#'
#' The 2nd deep neural network in cfSort.
#'
#' @name DNN2
#' @returns Downloads and caches a `.h5` file in HDF5 format.
#' @examples
#'
#' modelDNN2 <- DNN2()
#' modelDNN2
#'
NULL

#### Description of data sourcing


### Marker parameter files

# The methylation markers associated with four cancer types were identified 
# using RRBS data of 328 solid tissues, including 131 pairs of solid tumors and 
# their adjacent normal tissues -- colon (19 pairs), liver (53 pairs), lung 
# (44 pairs), and stomach (15 pairs) cancer. We discovered cancer-specific 
# markers that significantly differ between solid tumors and their adjacent 
# normal tissues. In addition, we required the cancer-specific markers to have 
# differential methylation between solid tumors and the cell-free DNA (cfDNA) 
# of 30 reference noncancer individuals. For more information, see 
# https://doi.org/10.1038/s41467-022-32995-6.

# The methylation markers specific to 29 primary human tissue types were 
# discovered using three strategies: 1) The one-tissue-vs.-the-rest strategy 
# identifies the Type I markers, with differential methylation signatures 
# between one tissue type and all the other tissue types; 2) The 
# one-group-vs.-the-another-group strategy identifies the Type II markers, with 
# differential methylation between two tissue groups; 3) The 
# one-tissuevs.-another-tissue strategy identifies Type III markers, with 
# differential methylation between two tissue types. For more information, see 
# https://doi.org/10.1073/pnas.2305236120.

# The shape parameters of beta distribution characterizing methylation markers 
# were calculated using the GenerateMarkerParam() in the cfTools R package. 


### DNN models

# The cfSort function utilizes pre-trained deep neural network (DNN) models
# to estimate the tissue composition of testing samples. The implementation
# and training process of the DNN models can be found in the cfSort paper
# (https://doi.org/10.1073/pnas.2305236120).
NULL

# A script to make the metadata.csv file located in inst/extdata of the package.
# See ?ExperimentHubData::makeExperimentHubMetadata for a description of 
# expected fields and data types. The
# ExperimentHubData::makeExperimentHubMetadata() function can be used to
# validate the metadata.csv file before submitting the package.

metadata <- data.frame(
    Title = c(
        "COAD.tumorMarkerParams.hg19",
        "LIHC.tumorMarkerParams.hg19",
        "LUNG.tumorMarkerParams.hg19",
        "STAD.tumorMarkerParams.hg19",
        "tissueMarkerParams.hg19",
        "tissueMarkerParams.annot",
        "DNN1",
        "DNN2"
    ),
    Description = c(
        paste(
            "The shape parameters of beta distribution characterizing",
            "methylation markers associated with colon adenocarcinoma"
        ),
        paste(
            "The shape parameters of beta distribution characterizing",
            "methylation markers associated with liver hepatocellular carcinoma"
        ),
        paste(
            "The shape parameters of beta distribution characterizing",
            "methylation markers associated with lung cancer"
        ),
        paste(
            "The shape parameters of beta distribution characterizing",
            "methylation markers associated with stomach adenocarcinoma"
        ),
        paste(
            "The shape parameters of beta distribution characterizing",
            "methylation markers specific to 29 primary human tissue types"
        ),
        paste(
            "The labels of strategies used to identify",
            "methylation markers specific to 29 primary human tissue types"
        ),
        paste(
            "The first pre-trained component DNN model in the function cfSort"
        ),
        paste(
            "The second pre-trained component DNN model in the function cfSort"
        )
    ),
    BiocVersion = rep("3.18", 8),
    Genome = rep("hg19", 8),
    SourceType = c(
      rep("TXT", 6),
      rep("HDF5", 2)
    ),
    SourceUrl = c(
        paste0(
            "https://zenodo.org/record/8326428/files/",
            "COAD.tumorMarkerParams.hg19.txt.gz"
        ),
        paste0(
            "https://zenodo.org/record/8326428/files/",
            "LIHC.tumorMarkerParams.hg19.txt.gz"
        ),
        paste0(
            "https://zenodo.org/record/8326428/files/",
            "LUNG.tumorMarkerParams.hg19.txt.gz"
        ),
        paste0(
            "https://zenodo.org/record/8326428/files/",
            "STAD.tumorMarkerParams.hg19.txt.gz"
        ),
        paste0(
            "https://zenodo.org/record/8326428/files/",
            "tissueMarkerParams.hg19.txt.gz"
        ),
        paste0(
            "https://zenodo.org/record/8326428/files/",
            "tissueMarkerParams.annot.txt.gz"
        ),
        paste0(
            "https://zenodo.org/record/7884243/files/",
            "DNN1.h5"
        ),
        paste0(
            "https://zenodo.org/record/7884243/files/",
            "DNN2.h5"
        )
    ),
    SourceVersion = rep("v1", 8),
    Species = rep("Homo sapiens", 8),
    TaxonomyId = rep(9606, 8),
    Coordinate_1_based = rep(FALSE, 8),
    DataProvider = rep("Zhou Lab", 8),
    Maintainer = rep("Ran Hu <huran@ucla.edu>", 8),
    RDataClass = rep("data.frame", 8),
    DispatchClass = rep("FilePath", 8),
    Location_Prefix = rep("https://zenodo.org/", 8),
    RDataPath = c(
        "cfToolsData/COAD.tumorMarkerParams.hg19.txt.gz",
        "cfToolsData/LIHC.tumorMarkerParams.hg19.txt.gz",
        "cfToolsData/LUNG.tumorMarkerParams.hg19.txt.gz",
        "cfToolsData/STAD.tumorMarkerParams.hg19.txt.gz",
        "cfToolsData/tissueMarkerParams.hg19.txt.gz",
        "cfToolsData/tissueMarkerParams.annot.txt.gz",
        "cfToolsData/DNN1.h5",
        "cfToolsData/DNN2.h5"
    ),
    Tags = c(
      rep("cfToolsData", 8)
    )
)

write.csv(metadata, file="inst/extdata/metadata.csv", row.names=FALSE)

## ----message=FALSE------------------------------------------------------------
library(cfToolsData)
models <- c(DNN1(), DNN2())
names(models) <- c("DNN1", "DNN2")
models

## ----message=FALSE------------------------------------------------------------
tumorMarkerParams <- c(
    COAD.tumorMarkerParams.hg19(),
    LIHC.tumorMarkerParams.hg19(),
    LUNG.tumorMarkerParams.hg19(),
    STAD.tumorMarkerParams.hg19()
)
names(tumorMarkerParams) <- c(
    "COAD.tumorMarkerParams",
    "LIHC.tumorMarkerParams",
    "LUNG.tumorMarkerParams",
    "STAD.tumorMarkerParams"
)
tumorMarkerParams

## ----message=FALSE------------------------------------------------------------
tissueMarkerParams <- tissueMarkerParams.hg19()
tissueMarkerParams

tissueMarkerAnnot <- tissueMarkerParams.annot()
tissueMarkerAnnot

## -----------------------------------------------------------------------------
sessionInfo()

#' ExperimentHub datasets for the cfTools package
#'
#' @description
#' The cfToolsData package supplies data for the cfTools package. It contains 
#' two pre-trained deep neural network (DNN) models for the cfSort function. 
#' Additionally, it includes the shape parameters of beta distribution 
#' characterizing methylation markers associated with four cancer types and 
#' 29 primary human tissue types as example files for the CancerDetector 
#' and the cfDeconvolve function.
#' 
#' For more information, see
#' https://doi.org/10.1038/s41467-022-32995-6 and 
#' https://doi.org/10.1073/pnas.2305236120.
#'  
#' @returns Downloads and caches `.txt.gz` or HDF5-formatted `.h5` files.
#' @name cfToolsData
#' @docType package
#' @author Ran Hu
NULL

test_that("Accessors work", {

    ## Test that files are accessible
    doTest <- \(x) expect_true(file.exists(x))

    suppressMessages({
        doTest(cfToolsData::COAD.tumorMarkerParams.hg19())
        doTest(cfToolsData::LIHC.tumorMarkerParams.hg19())
        doTest(cfToolsData::LUNG.tumorMarkerParams.hg19())
        doTest(cfToolsData::STAD.tumorMarkerParams.hg19())
        doTest(cfToolsData::tissueMarkerParams.hg19())
        doTest(cfToolsData::tissueMarkerParams.annot())
        doTest(cfToolsData::DNN1())
        doTest(cfToolsData::DNN2())
    })

})

---
title: "cfToolsData package"
author: 
  - name: Ran Hu
    affiliation:
      - Department of Pathology and Laboratory Medicine, UCLA
      - Institute for Quantitative and Computational Biosciences, UCLA
      - Bioinformatics Interdepartmental Graduate Program, UCLA
    email: huran@ucla.edu
  - name: Shuo Li
    affiliation:
      - Department of Pathology and Laboratory Medicine, UCLA
  - name: Xianghong Jasmine Zhou
    affiliation:
      - Department of Pathology and Laboratory Medicine, UCLA
      - Institute for Quantitative and Computational Biosciences, UCLA
  - name: Wenyuan Li
    affiliation:
      - Department of Pathology and Laboratory Medicine, UCLA
package: cfToolsData
output: 
  BiocStyle::html_document:
    toc: true
    toc_float: true
    theme: flatly
    highlight: zenburn
  BiocStyle::pdf_document: default
vignette: |
  %\VignetteIndexEntry{cfToolsData}
  %\VignetteEngine{knitr::rmarkdown}
  %\VignetteEncoding{UTF-8}
---

The `r Biocpkg("cfToolsData")` package provides two pre-trained deep neural 
network (DNN) models for the *cfSort()* function in `r Biocpkg("cfTools")`.

```{r, message=FALSE}
library(cfToolsData)
models <- c(DNN1(), DNN2())
names(models) <- c("DNN1", "DNN2")
models
```

Users can locate the data file at the specified output file path.

It also provides the shape parameters of beta distribution characterizing 
methylation markers associated with four cancer types for the 
*CancerDetector()* function in `r Biocpkg("cfTools")`.

```{r, message=FALSE}
tumorMarkerParams <- c(
    COAD.tumorMarkerParams.hg19(),
    LIHC.tumorMarkerParams.hg19(),
    LUNG.tumorMarkerParams.hg19(),
    STAD.tumorMarkerParams.hg19()
)
names(tumorMarkerParams) <- c(
    "COAD.tumorMarkerParams",
    "LIHC.tumorMarkerParams",
    "LUNG.tumorMarkerParams",
    "STAD.tumorMarkerParams"
)
tumorMarkerParams
```

Additionally, it includes the shape parameters of beta distribution 
characterizing methylation markers specific to 29 primary human tissue types 
for the *cfDeconvolve()* function in `r Biocpkg("cfTools")`, as well as the 
annotations of these markers.

```{r, message=FALSE}
tissueMarkerParams <- tissueMarkerParams.hg19()
tissueMarkerParams

tissueMarkerAnnot <- tissueMarkerParams.annot()
tissueMarkerAnnot
```

# Session information {-}

```{r}
sessionInfo()
```

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cfToolsData.R, R/zzz.R
\docType{package}
\name{cfToolsData}
\alias{cfToolsData}
\title{ExperimentHub datasets for the cfTools package}
\value{
Downloads and caches `.txt.gz` or HDF5-formatted `.h5` files.
}
\description{
The cfToolsData package supplies data for the cfTools package. It contains 
two pre-trained deep neural network (DNN) models for the cfSort function. 
Additionally, it includes the shape parameters of beta distribution 
characterizing methylation markers associated with four cancer types and 
29 primary human tissue types as example files for the CancerDetector 
and the cfDeconvolve function.

For more information, see
https://doi.org/10.1038/s41467-022-32995-6 and 
https://doi.org/10.1073/pnas.2305236120.
}
\author{
Ran Hu
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zzz.R
\name{tissueMarkerParams.annot}
\alias{tissueMarkerParams.annot}
\title{Annotation of tissue markers}
\value{
Downloads and caches a `.txt.gz` file.
}
\description{
The annotation of strategies used to identify tissue markers.
}
\examples{

tissueMarkerAnnot <- tissueMarkerParams.annot()
tissueMarkerAnnot

}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zzz.R
\name{LUNG.tumorMarkerParams.hg19}
\alias{LUNG.tumorMarkerParams.hg19}
\title{Parameters of lung cancer markers}
\value{
Downloads and caches a `.txt.gz` file.
}
\description{
The shape parameters of beta distribution characterizing methylation markers 
associated with lung cancer
}
\examples{

LUNGMarkerParams <- LUNG.tumorMarkerParams.hg19()
LUNGMarkerParams

}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zzz.R
\name{LIHC.tumorMarkerParams.hg19}
\alias{LIHC.tumorMarkerParams.hg19}
\title{Parameters of LIHC markers}
\value{
Downloads and caches a `.txt.gz` file.
}
\description{
The shape parameters of beta distribution characterizing methylation markers 
associated with liver hepatocellular carcinoma (LIHC)
}
\examples{

LIHCMarkerParams <- LIHC.tumorMarkerParams.hg19()
LIHCMarkerParams

}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zzz.R
\name{DNN1}
\alias{DNN1}
\title{Model DNN1}
\value{
Downloads and caches a `.h5` file in HDF5 format.
}
\description{
The 1st deep neural network in cfSort.
}
\examples{

modelDNN1 <- DNN1()
modelDNN1

}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zzz.R
\name{tissueMarkerParams.hg19}
\alias{tissueMarkerParams.hg19}
\title{Parameters of tissue markers}
\value{
Downloads and caches a `.txt.gz` file.
}
\description{
The shape parameters of beta distribution characterizing methylation markers 
specific to 29 primary human tissue types
}
\examples{

tissueMarkerParams <- tissueMarkerParams.hg19()
tissueMarkerParams

}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zzz.R
\name{DNN2}
\alias{DNN2}
\title{Model DNN2}
\value{
Downloads and caches a `.h5` file in HDF5 format.
}
\description{
The 2nd deep neural network in cfSort.
}
\examples{

modelDNN2 <- DNN2()
modelDNN2

}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zzz.R
\name{STAD.tumorMarkerParams.hg19}
\alias{STAD.tumorMarkerParams.hg19}
\title{Parameters of STAD markers}
\value{
Downloads and caches a `.txt.gz` file.
}
\description{
The shape parameters of beta distribution characterizing methylation markers 
associated with stomach adenocarcinoma (STAD)
}
\examples{

STADMarkerParams <- STAD.tumorMarkerParams.hg19()
STADMarkerParams

}
